Subject: bug#20119: 25.0.50; tramp-test30-special-characters hangs on Cygwin

From: Michael Albinus <[email-masked]>
Date: Tue, 17 Mar 2015 15:46:26 +0100

Eli Zaretskii <[email-masked]> writes:

>> One case on w32 I could reproduce is the following: There is just one
>> special file "~/ file name with spaces ". The first test is OK, the
>> other two tests not (wrong handling of trailing spaces)
>> 
>> (file-exists-p "~/ file name with spaces ")
>> => t
>> 
>> (file-exists-p "~/ file name with spaces")
>> => t
>> 
>> (directory-files "~/")
>> => (" file name with spaces" ...)
>
> Where do you see errors in primitives here?  They are just
> peculiarities of the underlying filesystem.
>
> Like I said: such file names should be avoided, but they are not
> disallowed.

I do not believe it is important, but in my naive feeling
"~/ file name with spaces " and "~/ file name with spaces" are different.

Especially, since leading spaces in file names are treated:

(file-exists-p "~/file name with spaces ")
=> nil

Feel free to ignore this; in tramp-tests.el such tests are skipped when
running on w32.

Best regards, Michael.